# Class CIM_OSPFArea
extends CIM_RoutingProtocolDomain

This class represents an OSPF area. The definition of an OSPF area from RFC2328, is 'OSPF allows sets of networks to be grouped together. Such a grouping is called an area. The topology of an area is hidden from the rest of the Autonomous System. This information hiding enables a significant reduction in routing traffic. Also, routing within the area is determined only by the area's own topology, lending the area protection from bad routing data.' This class has a 'Type' propery, which distinguishes between the different area types. This approach was chosen, because it provides a simpler way to indicate the type of an area, and additional subclassing is not needed at this time.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_System
|
+--CIM_AdminDomain
|
+--CIM_RoutingProtocolDomain
|
+--CIM_OSPFArea

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

This class represents an OSPF area. The definition of an OSPF area from RFC2328, is 'OSPF allows sets of networks to be grouped together. Such a grouping is called an area. The topology of an area is hidden from the rest of the Autonomous System. This information hiding enables a significant reduction in routing traffic. Also, routing within the area is determined only by the area's own topology, lending the area protection from bad routing data.' This class has a 'Type' propery, which distinguishes between the different area types. This approach was chosen, because it provides a simpler way to indicate the type of an area, and additional subclassing is not needed at this time.

UMLPackagePath | string | CIM::Network::OSPF
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
AreaID | uint32 |
Description | string | The area ID of this OSPF area, see C.2 in RFC 2328.
MappingStrings | string | MIB.IETF|OSPF-MIB.ospfAreaId
AreaType | uint16 |
Description | string | The type of the OSPF area.
Required | boolean | true
ValueMap | string | 2, 3, 4
Values | string | Plain, Stub, NSSA
ExtLsdbLimit | uint32 |
Description | string | When the number of non-default AS-external-LSAs in a router's link-state database reaches this limit, the router enters OverflowState, see 2.1 in RFC 1765.
MappingStrings | string | MIB.IETF|OSPF-MIB.ospfExtLsdbLimit

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_System
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_System
NameFormat | string | CIM_AdminDomain
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
PrimaryOwnerContact | string | CIM_System
PrimaryOwnerName | string | CIM_System
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
Status | string | CIM_ManagedSystemElement
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
IdentifyingDescriptions | string[] | CIM_System
OperationalStatus | uint16[] | CIM_ManagedSystemElement
OtherIdentifyingInfo | string[] | CIM_System
Roles | string[] | CIM_System
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement